// combo.h

#define ScreenTop 30
#define ScreenBot 230
#define wordMatrixLength 20
#define maxWordLength 12


extern char syncON, syncOFF; 
extern int LineCount;
extern int timer;
extern eeprom int lastSeed;
extern int seed; 

//animation
extern char x, y, s, vx, vy, temp;

extern char screen[1600], time, timerString[10], creditsLabel[8], creditsString[4]; 
extern char screenTitle[17], drawingFrame, blanks[11], mediumBlanks[21], longBlanks[31], timesUpLabel[9], startLabel[24],correctLabe[8],incorrectLabel[10];
extern char screenString[31],degreeString1[10],degreeString2[12];

extern unsigned char prevController, controller, credits, timesUp, gameTime, stopTime; 

extern flash char wordMatrix[wordMatrixLength][maxWordLength];

extern char wordNumber, showWord, wordsUsedIndex, wordGuessIndex, lastScrambleIndex, prevWordCursorX, wordCursorX, wordCursorY, wordLength, 
	prevChalkCursorX, chalkCursorX, chalkCursorY, WSCount;
extern char wordSelected[maxWordLength], wordGuessed[maxWordLength], wordScrambled[maxWordLength], wordsUsed[10], lastScramblePos[maxWordLength];

extern char ThumbelinaX, ThumbelinaY, studentX, studentY, canMove, totalCredits;      
 
extern char holdCap, holdRes, holdInd, capTime, indTime, resTime, capY, indY, resY; 
extern unsigned int DDRcount,count;
extern char yearState, levelState, displayCount; 



extern unsigned char pushState, pushFlag, button, holdCount, holdCountReset;

extern char songState;

// Used for music
extern unsigned char noteIndex, noteLength, songLength, songNoteLength, noteVal, noteReset;


//extern char screen[1600];

extern void video_pt(char x, char y, char c);
extern void video_putchar(char x, char y, char c);
extern void video_puts(char x, char y, char *str);
extern void video_putsSpaces(char x, char y, char *str);
extern void video_smallchar(char x, char y, char c);
extern void video_putsmalls(char x, char y, char *str);
extern void video_line(char x1, char y1, char x2, char y2, char c);
extern char video_set(char x, char y);
extern void video_box(char x1, char y1, char x2, char y2, char c);

extern void readController(void); // requires clock tick of 30ms.
extern void debounce(void); // requires clock tick of 30ms

extern void wordScrambleDir(void);
extern void wordScrambleInit(void);
extern char wordAlreadyUsed(char num);
extern void nextCursorPosLeft(void);
extern void nextCursorPosRight(void);
extern char wordCorrect(void);
extern void wordScramble(void);
extern void wordScrambleStateMachine(void);        

extern void drawThumbelina(char x, char y, char c);
extern void ThumbelinaMove(void);
extern void ThumbelinaDir(void);
extern void ThumbelinaInit(void);
extern void ThumbelinaStateMachine(void);
extern void drawStudent(char x, char y, char c);
extern void studentMove(void);  
               

extern void video_ind(char x, char y, char c);
extern void video_res(char x, char y, char c);
extern void video_cap(char x, char y, char c);
extern void cap_box(char x, char y, char c);
extern void ind_box(char x, char y, char c);
extern void res_box(char x, char y, char c);
extern void DDRDir(void);
extern void DDRInit(void);
extern void DDR(void);
extern void DDRStateMachine(void);
extern void animateCAP(unsigned char start,unsigned  char index);
extern void animateRES(unsigned char start, unsigned char index);
extern void animateIND(unsigned char start, unsigned char index);









